summaryrefslogtreecommitdiffstats
path: root/games/nexuiz/nexuiz.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'games/nexuiz/nexuiz.SlackBuild')
-rw-r--r--games/nexuiz/nexuiz.SlackBuild108
1 files changed, 108 insertions, 0 deletions
diff --git a/games/nexuiz/nexuiz.SlackBuild b/games/nexuiz/nexuiz.SlackBuild
new file mode 100644
index 0000000000..cba997951c
--- /dev/null
+++ b/games/nexuiz/nexuiz.SlackBuild
@@ -0,0 +1,108 @@
+#!/bin/sh
+
+# Slackware build script for Nexuiz
+
+# Copyright 2008-2009 Chess Griffin <chess@chessgriffin.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=nexuiz
+VERSION=${VERSION:-2.5.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf Nexuiz
+unzip -o $CWD/nexuiz-251.zip
+cd Nexuiz
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+install -D -m 0644 $CWD/nexuiz-glx.desktop \
+ $PKG/usr/share/applications/nexuiz-glx.desktop
+install -D -m 0644 $CWD/nexuiz-sdl.desktop \
+ $PKG/usr/share/applications/nexuiz-sdl.desktop
+
+mkdir -p $PKG/usr/share/pixmaps
+cp $CWD/*.png $PKG/usr/share/pixmaps
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -R ./Docs/* $PKG/usr/doc/$PRGNAM-$VERSION/
+cp gpl.txt $PKG/usr/doc/$PRGNAM-$VERSION
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 0644 {} \;
+
+mkdir -p $PKG/usr/share/games/nexuiz
+cp -R data $PKG/usr/share/games/nexuiz
+find $PKG/usr/share/games/nexuiz -type f -exec chmod 0644 {} \;
+cp nexuiz-* $PKG/usr/share/games/nexuiz
+rm $PKG/usr/share/games/nexuiz/*.exe
+rm $PKG/usr/share/games/nexuiz/nexuiz-osx-dedicated
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+chmod 755 $PKG/usr/share/games/nexuiz/*
+
+mkdir -p $PKG/usr/games
+# The launchers for the sdl and glx binaries automatically detect
+# the architecture. The launchers for the dedicated server do not.
+cp $CWD/nexuiz-glx $PKG/usr/games/
+cp $CWD/nexuiz-sdl $PKG/usr/games/
+if [ "$ARCH" = "x86_64" ]; then
+ cp $CWD/nexuiz-dedicated.x86_64 $PKG/usr/games/nexuiz-dedicated
+else
+ cp $CWD/nexuiz-dedicated.i686 $PKG/usr/games/nexuiz-dedicated
+fi
+chmod 755 $PKG/usr/games/nexuiz*
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz